=== debian/changelog ===
netpbm-free (2:11.09.02-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 19 Jan 2025 15:08:07 +0100

netpbm-free (2:11.09.02-1) experimental; urgency=low

  * New upstream version.
    + Includes makeman fix for avoiding empty lines in unordered lists.
      (Thanks, Christoph Brinkhaus!) Closes: #1087509

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Dec 2024 07:34:43 +0100
