=== debian/control ===
Source: netpbm-free
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Metzler <ametzler@debian.org>,
 Steve McIntyre <93sam@debian.org>,
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 flex,
 ghostscript <!nocheck>,
 libjpeg-dev,
 libpng-dev,
 libtiff-dev (>= 4.0.10),
 libx11-dev,
 libxml2-dev,
 pkgconf,
 python3,
 zlib1g-dev,
Vcs-Git: https://salsa.debian.org/debian-phototools-team/netpbm.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/netpbm
Homepage: https://netpbm.sourceforge.net/
Rules-Requires-Root: no

Package: netpbm
Architecture: any
Multi-Arch: foreign
Depends:
 libnetpbm11t64 (= ${binary:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Recommends:
 ghostscript,
Provides:
 pbmwbmp,
 pnmtopng,
Description: Graphics conversion tools between image formats
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.

Package: libnetpbm11t64
Replaces:
 libnetpbm11,
Breaks:
 libnetpbm11 (<< ${source:Version}),
Section: libs
Architecture: any
Multi-Arch: same
Provides:
 ${t64:Provides},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Graphics conversion tools shared libraries
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.
 .
 This package contains the shared libraries used by netpbm.

Package: libnetpbm-dev
Section: libdevel
Architecture: any
Depends:
 libnetpbm11t64 (= ${binary:Version}),
 ${misc:Depends},
Conflicts:
 libnetpbm10-dev,
 libnetpbm11-dev,
 libnetpbm9-dev,
 netpbm-dev,
Replaces:
 libnetpbm11-dev,
Provides:
 libnetpbm11-dev,
 netpbm-dev,
Description: Graphics conversion tools development libraries and header files
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.
 .
 This development package contains the library and header
 files for the pbm, pgm, pnm, and ppm graphics formats.
