## netpbm-free 11.09.03

=== debian/changelog ===
netpbm-free (2:11.09.03-1) unstable; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 02 Mar 2025 07:18:23 +0100
