=== debian/changelog ===
netpbm-free (2:11.10.02-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:20:05 +0200

netpbm-free (2:11.10.02-1) unstable; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Apr 2025 11:24:58 +0200
