=== debian/watch ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # https://svn.code.sf.net/p/netpbm/code/release_number/ \
 #   (\d[\d.]+)/
 
-opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.09.03/" \
+opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.10.02/" \
  https://svn.code.sf.net/p/netpbm/code/advanced/ \
  HEAD ignore
