## netpbm-free 11.11.00

=== debian/changelog ===
netpbm-free (2:11.11.00-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 11 Aug 2025 13:32:56 +0200

netpbm-free (2:11.11.00-1) experimental; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Jun 2025 09:06:11 +0200
