=== debian/changelog ===
netpbm-free (2:11.11.01-1) unstable; urgency=medium

  * Also hardcode version in component. uscan behavior changed in forky.
  * New upstream version.
  * Stop shipping pamtojpeg2k and do not run its test. (Closes: #1097452)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Sep 2025 18:23:14 +0200
