=== debian/rules ===
--- 
+++ 
@@ -65,6 +65,8 @@
 		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libnetpbm.so
 	find debian -name "lib*.la" -delete
 	rm -rf debian/tmp/usr/sharedlink
+	# drop broken command
+	rm -vf debian/tmp/usr/bin/pamtojpeg2k netpbmdoc/pamtojpeg2k.1
 
 execute_after_dh_installman:
 	# tool manweb does not work due to missing /etc/manweb.conf
